# Uses of Class
net.shibboleth.idp.attribute.PairwiseId

Packages that use PairwiseId
Package
Description
net.shibboleth.idp.attribute
`IdPAttribute`s are protocol-agnostic units of information about some thing, usually a user.
net.shibboleth.idp.attribute.impl
Implementations of general attribute functionality.

## Uses of PairwiseId in net.shibboleth.idp.attribute

Methods in net.shibboleth.idp.attribute that return PairwiseId
Modifier and Type
Method
Description
`PairwiseId`
DurablePairwiseIdStore.`getByIssuedValue(PairwiseId pid)`
Populate the underlying principal/source fields for the input object based on the supplied values.
`PairwiseId`
PairwiseIdStore.`getBySourceValue(PairwiseId pid, boolean allowCreate)`
Populate the pairwise ID field for the input object based on the supplied values.
Methods in net.shibboleth.idp.attribute with parameters of type PairwiseId
Modifier and Type
Method
Description
`void`
DurablePairwiseIdStore.`attach(PairwiseId pid)`
Attach a peer-supplied alias to a pairwise ID.
`void`
DurablePairwiseIdStore.`deactivate(PairwiseId pid)`
Deactivate/revoke a pairwise ID.
`PairwiseId`
DurablePairwiseIdStore.`getByIssuedValue(PairwiseId pid)`
Populate the underlying principal/source fields for the input object based on the supplied values.
`PairwiseId`
PairwiseIdStore.`getBySourceValue(PairwiseId pid, boolean allowCreate)`
Populate the pairwise ID field for the input object based on the supplied values.

## Uses of PairwiseId in net.shibboleth.idp.attribute.impl

Fields in net.shibboleth.idp.attribute.impl with type parameters of type PairwiseId
Modifier and Type
Field
Description
`private BiFunction<ProfileRequestContext,PairwiseId,String>`
ComputedPairwiseIdStore.`saltLookupStrategy`
Optional source of salt for request.
Methods in net.shibboleth.idp.attribute.impl that return PairwiseId
Modifier and Type
Method
Description
`PairwiseId`
JDBCPairwiseIdStore.`getByIssuedValue(PairwiseId pid)`
Populate the underlying principal/source fields for the input object based on the supplied values.
`PairwiseId`
ComputedPairwiseIdStore.`getBySourceValue(PairwiseId pid, boolean allowCreate)`
Populate the pairwise ID field for the input object based on the supplied values.
`PairwiseId`
JDBCPairwiseIdStore.`getBySourceValue(PairwiseId pid, boolean allowCreate)`
Populate the pairwise ID field for the input object based on the supplied values.
Methods in net.shibboleth.idp.attribute.impl that return types with arguments of type PairwiseId
Modifier and Type
Method
Description
`private List<PairwiseId>`
JDBCPairwiseIdStore.`buildIdentifierEntries(ResultSet resultSet)`
Build a list of `PairwiseId` objects from a result set.
Methods in net.shibboleth.idp.attribute.impl with parameters of type PairwiseId
Modifier and Type
Method
Description
`void`
JDBCPairwiseIdStore.`attach(PairwiseId pid)`
Attach a peer-supplied alias to a pairwise ID.
`void`
JDBCPairwiseIdStore.`deactivate(PairwiseId pid)`
Deactivate/revoke a pairwise ID.
`PairwiseId`
JDBCPairwiseIdStore.`getByIssuedValue(PairwiseId pid)`
Populate the underlying principal/source fields for the input object based on the supplied values.
`PairwiseId`
ComputedPairwiseIdStore.`getBySourceValue(PairwiseId pid, boolean allowCreate)`
Populate the pairwise ID field for the input object based on the supplied values.
`PairwiseId`
JDBCPairwiseIdStore.`getBySourceValue(PairwiseId pid, boolean allowCreate)`
Populate the pairwise ID field for the input object based on the supplied values.
`private byte[]`
ComputedPairwiseIdStore.`getEffectiveSalt(PairwiseId pid)`
Get the effective salt to apply for a particular principal/RP pair, or null to refuse to generate one.
`(package private) void`
JDBCPairwiseIdStore.`store(PairwiseId entry, JDBCPairwiseIdStore.ConnectionWithLock dbConn)`
Store a record containing the values from the input object.
Method parameters in net.shibboleth.idp.attribute.impl with type arguments of type PairwiseId
Modifier and Type
Method
Description
`void`
ComputedPairwiseIdStore.`setSaltLookupStrategy(BiFunction<ProfileRequestContext,PairwiseId,String> strategy)`
Sets an optional function to use to obtain the salt for the request.